Run Amazon Product Search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-product-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "wireless mouse",
"max_items": 2,
"start_page": 1,
"domain": "amazon.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-product-search"
payload = {
"query": "wireless mouse",
"max_items": 2,
"start_page": 1,
"domain": "amazon.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'wireless mouse', max_items: 2, start_page: 1, domain: 'amazon.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-product-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
"kind": "amazon_product_search",
"query": "wireless mouse",
"domain": "amazon.com",
"max_items": 2,
"start_page": 1,
"human": "# Amazon product search\n\n- **Search term:** wireless mouse\n- **Domain:** amazon.com\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Page weight:** 3.24 MB",
"machine": {
"total_items": 2,
"first_item": {
"id": "B004YAVF8I",
"title": "Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse - Swift Grey",
"url": "https://www.amazon.com/dp/B004YAVF8I",
"price": "$13.97",
"rating": 4.4,
"review_count": 44844,
"image": "https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg"
},
"items": [
{
"id": "B004YAVF8I",
"title": "Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse - Swift Grey",
"url": "https://www.amazon.com/dp/B004YAVF8I",
"price": "$13.97",
"rating": 4.4,
"review_count": 44844,
"image": "https://m.media-amazon.com/images/I/51WN5aXZWIL._AC_UY218_.jpg"
},
{
"id": "B07CMS5Q6P",
"title": "Logitech G305 Lightspeed Wireless Gaming Mouse - Black",
"url": "https://www.amazon.com/dp/B07CMS5Q6P",
"price": "$29.99",
"rating": 4.6,
"review_count": 39848,
"image": "https://m.media-amazon.com/images/I/51sg9BLSMTL._AC_UY218_.jpg"
}
],
"page_weight_bytes": 3397039
},
"total_points": 10
}Data Sources
Run Amazon Product Search
Searches Amazon products by keyword and returns product listings across paginated results.
POST
/
functions
/
v1
/
run-amazon-product-search
Run Amazon Product Search
